﻿using System;

namespace InABox.Integration.Logikal
{

    public enum LogikalDrawingFormat
    {
        DXF,
        PNG
    }
    
    public enum LogikalDrawingView
    {
        Interior,
        Exterior
    }
    
    public enum LogikalDrawingType
    {
        Explosion,
        Section,
        Elevation,
        ElevationWithSectionLines,
        SectionLine,
    }
    
    public class LogikalElevationDetailRequest : AbstractLogikalPartsRequest
    {

        public override LogikalMethod Method() => LogikalMethod.ElevationDetail;

        public Guid[] IDs { get; set; }
        
        public LogikalDrawingFormat DrawingFormat { get; set; }
        
        public LogikalDrawingView DrawingView { get; set; }
        
        public LogikalDrawingType DrawingType { get; set; }

        public LogikalElevationDetailRequest(
            Guid projectid, 
            Guid[] ids, 
            string finishQuery, 
            string profileQuery, 
            string gasketQuery, 
            string componentQuery, 
            string glassQuery, 
            string labourQuery, 
            bool includeExcelData, 
            bool includeSqliteData,
            LogikalDrawingFormat format,
            LogikalDrawingView view,
            LogikalDrawingType drawingType
            )
        : base(projectid, finishQuery, profileQuery, gasketQuery, componentQuery, glassQuery, labourQuery, includeExcelData, includeSqliteData)
        {
            IDs = ids;
            DrawingFormat = format;
            DrawingView = view;
            DrawingType = drawingType;
        }
    }

}